Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.util
Interface IRPEvent

All Superinterfaces:
  AttributeAccess, java.lang.Cloneable, Event, java.io.Serializable, SerializerFactory

All Known Subinterfaces:
  OperationalStatusDataAvailableEvent, OperationalStatusDataEvent, PerformanceDataAvailableEvent, PerformanceDataEvent

All Known Implementing Classes:
  IRPEventImpl, OperationalStatusDataAvailableEventImpl, OperationalStatusDataEventImpl, PerformanceDataAvailableEventImpl, PerformanceDataEventImpl

public interface IRPEvent
extends Event, AttributeAccess

Interface that represents aspects of the 3GPP IRP notification header that are not present in the OSS Event interface.

Version:
  0.9.1, 2001-11-30
Author:
  Audrey Ward
See Also:
  `Event`, `AttributeAccess`

Field Summary
`static java.lang.String` | `APPLICATION_DN` Constant representing event attribute 'applicationDN'.
`static java.lang.String` | `EVENT_TIME` Constant representing event attribute 'eventTime'.
`static java.lang.String` | `MANAGED_OBJECT_CLASS` Constant representing event attribute 'managedObjectClass'.
`static java.lang.String` | `MANAGED_OBJECT_INSTANCE` Constant representing event attribute 'managedObjectInstance'.
`static java.lang.String` | `NOTIFICATION_ID` Constant representing event attribute 'notificationId'.

Method Summary
`java.lang.String` | `getManagedObjectClass()` Gets the class name of the object instance where this event occurred.
`java.lang.String` | `getManagedObjectInstance()` Gets the distinguished name of the object instance where this event occurred.
`java.lang.String` | `getNotificationId()` Returns the notification id.
`void` | `setManagedObjectClass(java.lang.String moc)` Sets the class name of the object instance that will issue this event.
`void` | `setManagedObjectInstance(java.lang.String moi)` Sets the distinguished name of the object instance that will issue this event.
`void` | `setNotificationId(java.lang.String id)` Sets the notification id.

Methods inherited from interface com.sun.management.oss.Event
`clone, getApplicationDN, getEventTime, setApplicationDN, setEventTime`

Methods inherited from interface com.sun.management.oss.SerializerFactory
`getSupportedSerializerTypes, makeSerializer`

Methods inherited from interface com.sun.management.oss.AttributeAccess
`getAllPopulatedAttributes, getAttributeNames, getAttributeValue, getAttributeValues, getPopulatedAttributeNames, getSupportedOptionalAttributeNames, isFullyPopulated, isPopulated, setAttributeValue, setAttributeValues, unpopulateAllAttributes, unpopulateAttribute`

Field Detail

### APPLICATION_DN

    public static final java.lang.String APPLICATION_DN

  Constant representing event attribute 'applicationDN'.

  See Also:
    Constant Field Values

### EVENT_TIME

    public static final java.lang.String EVENT_TIME

  Constant representing event attribute 'eventTime'.

  See Also:
    Constant Field Values

### MANAGED_OBJECT_CLASS

    public static final java.lang.String MANAGED_OBJECT_CLASS

  Constant representing event attribute 'managedObjectClass'.

  See Also:
    Constant Field Values

### MANAGED_OBJECT_INSTANCE

    public static final java.lang.String MANAGED_OBJECT_INSTANCE

  Constant representing event attribute 'managedObjectInstance'.

  See Also:
    Constant Field Values

### NOTIFICATION_ID

    public static final java.lang.String NOTIFICATION_ID

  Constant representing event attribute 'notificationId'.

  See Also:
    Constant Field Values

Method Detail

### getManagedObjectClass

    public java.lang.String getManagedObjectClass()
                                           throws java.lang.IllegalStateException

  Gets the class name of the object instance where this event occurred.

  Returns:
    String The class name object instance.
  Throws:
    `java.lang.IllegalStateException` - Is thrown if the attribute is supported, and the attribute has not been populated.
  See Also:
    `setManagedObjectClass(java.lang.String)`

### setManagedObjectClass

    public void setManagedObjectClass(java.lang.String moc)
                               throws java.lang.IllegalArgumentException

  Sets the class name of the object instance that will issue this event.

  Parameters:
    `moc` - The class name of the object instance.
  Throws:
    `java.lang.IllegalArgumentException` - Is thrown to report that a bad argument was provided to the method.
  See Also:
    `getManagedObjectClass()`

### getManagedObjectInstance

    public java.lang.String getManagedObjectInstance()
                                              throws java.lang.IllegalStateException

  Gets the distinguished name of the object instance where this event occurred.

  Returns:
    String The distinguished name object instance.
  Throws:
    `java.lang.IllegalStateException` - Is thrown if the attribute is supported, and the attribute has not been populated.
  See Also:
    `setManagedObjectInstance(java.lang.String)`

### setManagedObjectInstance

    public void setManagedObjectInstance(java.lang.String moi)
                                  throws java.lang.IllegalArgumentException

  Sets the distinguished name of the object instance that will issue this event.

  Parameters:
    `moi` - The distinguished name of the object instance.
  Throws:
    `java.lang.IllegalArgumentException` - Is thrown to report that a bad argument was provided to the method.
  See Also:
    `getManagedObjectInstance()`

### getNotificationId

    public java.lang.String getNotificationId()
                                       throws java.lang.IllegalStateException

  Returns the notification id.

  Returns:
    String The unique identifier across all notifications of a particular managed entity.
  Throws:
    `java.lang.IllegalStateException` - Is thrown if the attribute is supported, and the attribute has not been populated.
  See Also:
    `setNotificationId(java.lang.String)`

### setNotificationId

    public void setNotificationId(java.lang.String id)
                           throws java.lang.IllegalArgumentException

  Sets the notification id.

  Parameters:
    `id` - A unique identifier across all notifications of a particular managed entity.
  Throws:
    `java.lang.IllegalArgumentException` - Is thrown to report that a bad argument was provided to the method.
  See Also:
    `getNotificationId()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD